using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// Summary description for BuyerDal
/// </summary>
public class BuyerDal:IDisposable
{
    static string strConn = ConfigurationManager.ConnectionStrings["TestConnection"].ToString();
    static SqlConnection connection = new SqlConnection(strConn);
	public BuyerDal()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    public int BuyerRegistration(Buyer objbuyer)
    {

        connection.Open();
        SqlCommand Inscommand = new SqlCommand("Sp_BuyerRegistration", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        Inscommand.Parameters.AddWithValue("@CurrentBid", objbuyer.CurrentBid);
        Inscommand.Parameters.AddWithValue("@urBid", objbuyer.UrBid);
        Inscommand.Parameters.AddWithValue("@Productname", objbuyer.productname);
        try
        {
            return Inscommand.ExecuteNonQuery();

        }
        catch
        {
            throw;
        }
        finally
        {
            Inscommand.Dispose();
            connection.Close();
        }
    }

    public DataTable BuyerLoad()
    {
        connection.Open();
        SqlCommand Inscommand = new SqlCommand("sp_BuyerAll", connection);
        Inscommand.CommandType = CommandType.StoredProcedure;
        SqlDataAdapter AdapprCategorydata = new SqlDataAdapter(Inscommand);
        DataSet prCategorydata = new DataSet();
        try
        {
            AdapprCategorydata.Fill(prCategorydata, "Buyer");
            return prCategorydata.Tables["Buyer"];
        }
        catch
        {
            throw;
        }
        finally
        {
            AdapprCategorydata.Dispose();
            prCategorydata.Dispose();
            connection.Close();
        }

    }








    #region IDisposable Members

    public void Dispose()
    {
        connection.Close();
    }

    #endregion
}
