using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// Summary description for LoginDAL
/// </summary>
public class LoginDAL
{
    static string strConn = ConfigurationManager.ConnectionStrings["TestConnection"].ToString();
    static SqlConnection connection = new SqlConnection(strConn);
	public LoginDAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    
    public DataSet Login(LoginBO objLoginBO)
    {
        connection.Open();
        SqlCommand Loginsqlcmnd = new SqlCommand("sp_login", connection);
        Loginsqlcmnd.CommandType = CommandType.StoredProcedure;
        Loginsqlcmnd.Parameters.AddWithValue("@name", objLoginBO.UserName);
       // Loginsqlcmnd.Parameters.AddWithValue("@Type","A");
        Loginsqlcmnd.Parameters.AddWithValue("@pass", objLoginBO.Password);
        Loginsqlcmnd.Parameters.AddWithValue("@Type", "L");

        SqlDataAdapter LoginDataAdapter = new SqlDataAdapter(Loginsqlcmnd);
        DataSet LoginDataset = new DataSet();
        try
        {
            LoginDataAdapter.Fill(LoginDataset, "Login");
            return LoginDataset;

        }
        catch
        {
            throw;
        }
        finally
        {
            connection.Close();
        }

    }
}
