using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Buyer2Reports : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            GridViewProductsReports.PageIndex = 0;
            BuyerProductsGetData();
        }

    }
    private void BuyerProductsGetData()
    {
        BuyerBal objBuyerBAL = new BuyerBal();
        DataTable dt = new DataTable();
        try
        {
            dt = objBuyerBAL.BuyerLoad();
            GridViewProductsReports.DataSource = dt;
            GridViewProductsReports.DataBind();

        }
        catch
        {
            throw;
        }
        finally
        {
            objBuyerBAL = null;
            GridViewProductsReports.Dispose();
        }
    }


    protected void GridViewProductsReports_PageIndexChanging1(object sender, GridViewPageEventArgs e)
    {
        GridViewProductsReports.PageIndex = e.NewPageIndex;
        BuyerProductsGetData();
    }

    }

