using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ProductRegistration : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
       if (!Page.IsPostBack)
            ProductBindData();
    }
    protected void ProductBindData()
    {
        ProductBAL objProductBAL = new ProductBAL();
        DataTable Dt = new DataTable();
        Dt = objProductBAL.ProductLoad();
        ddlsubcategory.DataTextField = "SubCategoryName";
        ddlsubcategory.DataValueField = "SubCategoryId";
        ddlsubcategory.DataSource = Dt;
        ddlsubcategory.DataBind();
    }
    protected void btnRegister_Click(object sender, EventArgs e)
    { 
        int intResult = 0;
        ProductBAL objProductBAL = new ProductBAL();
        ProductBO objProductBO = new ProductBO();
        objProductBO.SubCategory = int.Parse(ddlsubcategory.SelectedValue);
        objProductBO.Productname = txtProduct.Text;
        objProductBO.Status = "A";
        objProductBO.Image =  FileUpload1.FileName;
        FileUpload1.SaveAs(Server.MapPath("~/Attachments/"+FileUpload1.FileName));
        objProductBO.Price = int.Parse(txtprice.Text);
        objProductBO.Quantity = int.Parse(txtQuantity.Text);
        objProductBO.AboutProduct = txtAboutProduct.Text;
        objProductBO.ShippingPrice = int.Parse(txtShippingPrice.Text);
        objProductBO.EndOfbidDate = TxtEndofBidDate.Value;
        try
        {
            intResult = objProductBAL.ProductRegistration(objProductBO);
            if (intResult > 0)
            {
              
            }
            else
            {
                txtProduct.Text= "";
                txtprice.Text = "";
                txtQuantity.Text = "";
                txtShippingPrice.Text = "";

                ddlsubcategory.SelectedIndex = 0;

            }
        }

        catch
        {
            throw;
        }
        finally
        {
            txtProduct.Text= "";
            txtprice.Text = "";
            txtQuantity.Text = "";
            txtShippingPrice.Text = "";
           ddlsubcategory.SelectedIndex = 0;
               
        }
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Redirect("AuctionPage.aspx");
    }
}
      
    
     
   
      
